#include "MenuTextMap_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextMap_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextMap_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_map;
}


std::shared_ptr<Entity> CreateMenuTextMap_Player1Keyboard()
{
	return std::make_shared<MenuTextMap_Player1Keyboard>();
}

